% K   workspace
clear;
clc;

%  
x=0:0.01:1;
%        
U = femcoef(x);

%           
%   ( )
x2 = 0:0.01:1; k2 = length(x2);
for i=1:k2
  u_real(i) = real_values(x2(i));
  u_fem(i) = fem_values(x,U,x2(i));  
end

%        
disp('    ');
error = norm(abs(u_fem-u_real),inf)  

%        
for i=1:k2
  if u_real(i)~=0
  error_perc(i) = ( abs(u_fem(i)-u_real(i))/ u_real(i) ) * 100;
  else
  error_perc(i) = 0;
  end
end
disp('    ');
error_perc_norm = norm(error_perc,inf)  

%     
hold;
figure(1); plot(x2,u_fem-u_real);   
xlabel('x'); title('Error plot - Absolute')

figure(2); plot(x2,error_perc);   
xlabel('x'); title('Error plot - Percentage')
